Command Line Cheat Sheets

Command Line Cheat Sheets

offline
  • bocke  Male
  • Moderator foruma
  • Glavni moderator Linux foruma
  • Veliki Pingvin
  • Guru
  • Pridružio: 16 Dec 2005
  • Poruke: 12319
  • Gde živiš: Južni pol

Command Line Cheat Sheets



Komande puškice (u slobodnom prevodu) je komandna aplikacija pisana u Rubiju koja vam omogućava da lako pristupite velikom broju puškica u vezi korišćenja programa, njihovog podešavanja i komandi programskih jezika.

Priprema za instalaciju

Da bi ste ih instalirali potrebno je da imate već instalirane Ruby i Ruby Gems. Da bi ste to proverili otvorite terminal aplikaciju i unesite:
ruby --version
gem --version


Ako je izlaz ovih komandi nešto poput ovoga:
ruby 1.9.1p378 (2010-01-10 revision 26273)
1.3.1


znači da su oba paketa instalirana.

U suprotnom ako bar oba ili jedan od njih nije instaliran, dobićete grešku poput ove:
bash: ruby: command not found
bash: gem: command not found


Instalirajte Ruby i RubyGems koristeći menadžer paketa distribucije.

Instalacija

Zatim ponovo otvorite terminal aplikaciju i otkucajte (Ubuntu ili bilo koji sistem sa podešenim sudo):
sudo gem install cheat
ili (ostali sistemi)
su -c 'gem install cheat'

Primer korišćenja

bash-4.1# cheat apache2

Izlaz komande:
apache2:
  --------------------------
  Apache 2 everyday commands
  --------------------------
 
  Module enable/disable:
     a2enmod -> list presented
     a2dismod
 
  Website enable/disable:
     a2ensite -> list presented
     a2dissite
 
  Restart server nicely:
     apache2 -k graceful


Ostalo

Spisak puškica možete naći ovde: http://cheat.errtheblog.com/b. Takođe ih možete dodavati ili uređivati na matičnoj strani.

Matična strana
http://cheat.errtheblog.com/



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Uroš Ilić
  • dr stom.
  • Pridružio: 08 Jul 2006
  • Poruke: 2182
  • Gde živiš: Beograd

Na Ubuntu 10.04 ne radi. Kada se instalira ruby i gem, javlja da nema gem komande



offline
  • bocke  Male
  • Moderator foruma
  • Glavni moderator Linux foruma
  • Veliki Pingvin
  • Guru
  • Pridružio: 16 Dec 2005
  • Poruke: 12319
  • Gde živiš: Južni pol

Verovatno zato što je u Ubuntu paket gem nešto drugo:
Gem is a loadable library for puredata, which adds OpenGL graphics rendering and animation to Pd. Pd is a graphical programming language and computer music system.

Paket koji tebi treba je rubygems, napr:
apt-get install rubygems

I hvala na ispravci, dodaću u tekst. Wink

Ko je trenutno na forumu
 

Ukupno su 605 korisnika na forumu :: 39 registrovanih, 4 sakrivenih i 562 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3028 - dana 22 Nov 2019 07:47

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: _Petar, A.R.Chafee.Jr., Alexandar-1973, bigfoot, calvi, dac, darkangel, dejina811, Dorcolac, dragon986, ekser222, Giša, goxin, helen1, HrcAk47, ivan979, jaeger, Kruger, Krusarac, liman, Markogrozni, mačković, mean_machine, mercedesamg, messerschmitt, Mixelotti, nikolapetkovic, Panter, Profica, saputnik plavetnila, Sirius, theNedjeljko, Toni, trajkoni018, vathra, VJ, vlahale, vlvl, voja64